%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	phpLogCon monitoring
Name:		phplogcon
Version:	1.2.3
Release:	%mkrel 1
License:	GPL
Group:		Monitoring
URL:		http://www.phplogcon.com/
Source0:	http://download.adiscon.com/phplogcon/%{name}-%{version}.tar.gz
Patch0:		phplogcon-mdv_conf.diff
Patch1:		phplogcon-we_are_secured_by_apache_config.diff
Requires(post): rpm-helper
Requires(postun): rpm-helper
# require these because otherwise php-gettext won't show the chosen language
Requires:	locales-de locales-en
Requires:	apache-mod_php php-gd php-gettext php-mysql
BuildArch:	noarch
BuildRequires:	apache-base >= 2.0.54
Suggests:	mysql >= 5.0
Suggests:	rsyslog  >= 1.19.10
Suggests:	rsyslog-mysql  >= 1.19.10
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
phpLogCon is a web interface to syslog and other network event data. It
provides easy browsing and some basic analysis of realtime network events.
Depending on the applications feeding the database, it can process syslog
messages, Windows event log entries and even SNMP trap data - just to name a
few.

%prep

%setup -q -n %{name}-v%{version}

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | grep -v "\.z" | xargs %{__perl} -pi -e 's/\r$//g'

%patch0 -p1
%patch1 -p1

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

<Directory /var/www/%{name}/install>
    Order Deny,Allow
    Deny from All
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf"
</Directory>
EOF

# move the config files in place
mv %{buildroot}/var/www/%{name}/config.php %{buildroot}%{_sysconfdir}/%{name}/
mv %{buildroot}/var/www/%{name}/phplogcon.ini %{buildroot}%{_sysconfdir}/%{name}/

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0700,apache,apache) %dir %{_sysconfdir}/%{name}
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%attr(0640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/phplogcon.ini
/var/www/%{name}



%changelog
* Thu Nov 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2008.1
+ Revision: 111229
- import phplogcon


* Thu Nov 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2008.1
- initial Mandriva package (fedora import)
